reads:
  - path: s3://rook-ceph-rgw-my-store.rook-ceph/workflow-inputs/artificialDatasetTemplate_Wed_Mar_27_12_52_04_2019_R1.fastq.gz   #./data/sample1.fastq.gz
    class: File
  - path: s3://rook-ceph-rgw-my-store.rook-ceph/workflow-inputs/artificialDatasetTemplate_Wed_Mar_27_12_52_04_2019_R2.fastq.gz   #./data/sample2.fastq.gz
    class: File

bwa_mem_output: sample.sam
bwa_mem_threads: 8

reference:
  class: File
  path: s3://rook-ceph-rgw-my-store.rook-ceph/references/illumina_hg19/hg19.fa    #/reference/hg19.fa

samtools_threads: 8
samtools_view_1_output: sample.bam
samtools_view_1_isbam: true

samtools_fixmate_output: sample_fixed.bam
samtools_fixmate_output_format: bam

samtools_sort_output: sample_fixed_sorted.bam

samtools_view_2_output: sample_fixed_sorted_uniq.bam
samtools_view_2_isbam: true
samtools_samheader: true
samtools_readswithoutbits: 2308 # In hex: 0x904

bedtools_coverage_output: sample_coverage_mean.txt

target:
  class: File
  path: s3://rook-ceph-rgw-my-store.rook-ceph/references/bed/Solid_iWGPROJ_1830_v2.20200227.designed.bed  # ./targets/trusight-myeloid-amplicon-track.bed

samtools_view_3_output: sample_count_ontarget.txt
samtools_view_3_count: true

samtools_view_4_output: sample_count_ontarget.txt
samtools_view_4_count: true

samtools_sort_output: sample_fixed_sorted.bam

# samtools_index_bai: true

samtools_flagstat_output: sample_align_stats.txt

rgid: 1
rglb: "lib1"
rgpl: "illumina"
rgpu: "unit1"
rgsm: "sample"
picard_add_or_replace_RG_output: sample_fixed_sorted_uniq_rg.bam

GATK_mutect2_output: sample_GATK_variants.vcf.gz
GATK_mutect2_tumor_sample: sample

coverage-reporter-org: "hg19"
coverage-reporter-dpcalc: "pileup"
coverage-reporter-fraglen: 300
coverage-reporter-fragfac: 2
coverage-reporter-output_filename: sample_corrected.vcf
coverage-reporter-indexoutput: true
coverage-reporter-corefraction: 1
